module JSONError
  module Errors
    class DisallowedPropertySetting < StandardError
      def initialize(options = {})
        property = options.fetch(:property)
        klass = options.fetch(:class)
        super("Setting #{property} property is disallowed for #{klass}.")
      end
    end
  end
end
